package com.wasu.cs.model;

import java.util.List;

/**
 * @Description: 用户VIP信息解析类
 * @Author: Danxingxi
 * @CreateDate: 2016/11/1 9:49
 */
public class VipStateModel {

    private int code;
    private String msg;

    private UpmInfoEntity upmInfo;
    private Object phoneReturn;
    private Object pointInfo;
    private Object moviesReturn;
    private Object alipay;
    private Object wechat;
    private String uuid;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public UpmInfoEntity getUpmInfo() {
        return upmInfo;
    }

    public void setUpmInfo(UpmInfoEntity upmInfo) {
        this.upmInfo = upmInfo;
    }

    public Object getPhoneReturn() {
        return phoneReturn;
    }

    public void setPhoneReturn(Object phoneReturn) {
        this.phoneReturn = phoneReturn;
    }

    public Object getPointInfo() {
        return pointInfo;
    }

    public void setPointInfo(Object pointInfo) {
        this.pointInfo = pointInfo;
    }

    public Object getMoviesReturn() {
        return moviesReturn;
    }

    public void setMoviesReturn(Object moviesReturn) {
        this.moviesReturn = moviesReturn;
    }

    public Object getAlipay() {
        return alipay;
    }

    public void setAlipay(Object alipay) {
        this.alipay = alipay;
    }

    public Object getWechat() {
        return wechat;
    }

    public void setWechat(Object wechat) {
        this.wechat = wechat;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public static class UpmInfoEntity {
        private int code;
        private String description;
        private String identification;
        private boolean jsonP;
        private int sourceId;
        /**
         * adFree : 1
         * expireTime : 1479439817000
         * objectBizId : 40814315811460000001283
         * objectName : VIP产品包
         * type : 1
         */

        private List<PlanAndCategoryBOsEntity> planAndCategoryBOs;

        public int getCode() {
            return code;
        }

        public void setCode(int code) {
            this.code = code;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getIdentification() {
            return identification;
        }

        public void setIdentification(String identification) {
            this.identification = identification;
        }

        public boolean isJsonP() {
            return jsonP;
        }

        public void setJsonP(boolean jsonP) {
            this.jsonP = jsonP;
        }

        public int getSourceId() {
            return sourceId;
        }

        public void setSourceId(int sourceId) {
            this.sourceId = sourceId;
        }

        public List<PlanAndCategoryBOsEntity> getPlanAndCategoryBOs() {
            return planAndCategoryBOs;
        }

        public void setPlanAndCategoryBOs(List<PlanAndCategoryBOsEntity> planAndCategoryBOs) {
            this.planAndCategoryBOs = planAndCategoryBOs;
        }

        public static class PlanAndCategoryBOsEntity {
            private int adFree;
            private long expireTime;
            private String objectBizId;
            private String objectName;
            private int type;

            public int getAdFree() {
                return adFree;
            }

            public void setAdFree(int adFree) {
                this.adFree = adFree;
            }

            public long getExpireTime() {
                return expireTime;
            }

            public void setExpireTime(long expireTime) {
                this.expireTime = expireTime;
            }

            public String getObjectBizId() {
                return objectBizId;
            }

            public void setObjectBizId(String objectBizId) {
                this.objectBizId = objectBizId;
            }

            public String getObjectName() {
                return objectName;
            }

            public void setObjectName(String objectName) {
                this.objectName = objectName;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }
        }
    }
}
